3v4l.org

run code in 300+ PHP versions simultaneously
<?php class TestParent { public function execute(array $data) { } } trait TestTrait { public function execute(int $id) { } } class TestClass extends TestParent { use TestTrait { execute as executeTrait; } } new TestClass();
based on 7VERc
Output for 8.0.0alpha1 - beta3
Fatal error: Declaration of TestTrait::execute(int $id) must be compatible with TestParent::execute(array $data) in /in/IJoio on line 13
Process exited with code 255.
Output for 7.4.0 - 7.4.10
Warning: Declaration of TestTrait::execute(int $id) should be compatible with TestParent::execute(array $data) in /in/IJoio on line 13
Output for 7.0.0 - 7.0.32, 7.1.0 - 7.1.33, 7.2.0 - 7.2.33, 7.3.0 - 7.3.21
Warning: Declaration of TestTrait::execute(int $id) should be compatible with TestParent::execute(array $data) in /in/IJoio on line 19
Output for 5.4.11 - 5.4.45, 5.5.0 - 5.5.38, 5.6.0 - 5.6.38
Strict Standards: Declaration of TestTrait::execute() should be compatible with TestParent::execute(array $data) in /in/IJoio on line 24
Output for 5.4.0 - 5.4.10
Strict Standards: Declaration of TestClass::execute() should be compatible with TestParent::execute(array $data) in /in/IJoio on line 24